This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446187 - netstat does not print interfaces when executed with "--interfaces" parameter
netstat does not print interfaces when executed with "--interfaces" parameter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 08:16 EDT by Milos Malik
Modified: 2008-07-15 08:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 08:42:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-05-13 08:16:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.14) Gecko/20080416 Fedora/2.0.0.14-1.fc8 Firefox/2.0.0.14

Description of problem:
The man page and the usage message claim that "-i" is equivalent to "--interfaces", but the reality is different.

Version-Release number of selected component (if applicable):
net-tools-1.60-84

How reproducible:
Always


Steps to Reproduce:
1. netstat -i
2. echo $?
3. netstat --interfaces
4. echo $?

Actual Results:
1. List of interfaces.
2. Return code: 0.
3. Usage message.
4. Return code: 4.

Expected Results:
Both outputs of netstat are the same.
Both return codes are the same.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.